Bug 235399 - CTL-ALT-F8 borks an NVIDIA GeForce2MX video card when an X-based desktop is running
CTL-ALT-F8 borks an NVIDIA GeForce2MX video card when an X-based desktop is r...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-05 11:51 EDT by Joseph Sacco
Modified: 2008-05-06 21:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:25:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Original xorg.conf (2.73 KB, text/plain)
2007-04-06 11:08 EDT, Joseph Sacco
no flags Details
Xorg.0.log (39.47 KB, text/plain)
2007-04-06 11:09 EDT, Joseph Sacco
no flags Details
/var/log/messages containing nvidia related kernel soft lockup (64.80 KB, text/plain)
2007-04-06 11:10 EDT, Joseph Sacco
no flags Details
Xorg.0.log file: startx w/o xorg.conf (19.79 KB, application/octet-stream)
2007-04-06 11:11 EDT, Joseph Sacco
no flags Details

  None (edit)
Description Joseph Sacco 2007-04-05 11:51:50 EDT
System:
* dual G4 PowerMac with NVIDIA GeForce2MX video card [32MB video RAM]
* Fedora/rawhide: current as of 5Apr07

===========================================================
Typing CTL-ALT-F8 while the GNOME desktop is running borks an NVIDIA GeForce2MX
video card, leaving the card in an unrecoverable state.

After typing CTL-ALT-F8, the screen looks like the resolution changed from
1600x1024 to 600x480. The mouse no longer works. Switching to any other VT does
nothing.

Logging in from another machine via ssh shows the system is still alive.  The X
server is running.  Killing off all of the processes associated with the initial
login/startx on tty1 does not properly reset the video card.  A mixture of
readable text and "fuzz" is viable.

Ruturning the the original machine, the keyboard still works allowing one to
type "reboot".

-Joseph
Comment 1 Matěj Cepl 2007-04-06 08:39:37 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Joseph Sacco 2007-04-06 11:08:20 EDT
Created attachment 151875 [details]
Original xorg.conf
Comment 3 Joseph Sacco 2007-04-06 11:09:02 EDT
Created attachment 151877 [details]
Xorg.0.log
Comment 4 Joseph Sacco 2007-04-06 11:10:19 EDT
Created attachment 151878 [details]
/var/log/messages containing nvidia related kernel soft lockup
Comment 5 Joseph Sacco 2007-04-06 11:11:04 EDT
Created attachment 151879 [details]
Xorg.0.log file: startx w/o xorg.conf
Comment 6 Joseph Sacco 2007-04-06 11:18:56 EDT
Matej,

I have created attachments for the information you requested.  In addition I
have included /var/log/messages which shows that CTL-ALT-F8 leads to a kernel
problem.

I am available to conduct additional tests as required.


BTW... VT-8 is important to PPC users running MAC-on-Linux. MOL can run within
an X-Window or in full console video mode, where VT-8 is used.

-Joseph
Comment 7 Adam Jackson 2007-04-09 18:28:16 EDT
dmesg blames nvidiafb, and so do I.
Comment 8 Joseph Sacco 2007-04-19 20:37:09 EDT
The problem persists as of 19-Apr-07 with the current fedora/rawhide system.

-Joseph
Comment 9 David Woodhouse 2007-05-17 13:10:20 EDT
I don't see a usefbdev option in xorg.conf, and the kernel driver seems unhappy
that some evil userspace program has stomped on its hardware... go figure :)
Comment 10 Joseph Sacco 2007-05-17 13:25:42 EDT
The problem persists as of 17-May-07 with the current fedora/rawhide system.

-Joseph
Comment 11 Bug Zapper 2008-04-03 19:57:42 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 12 Bug Zapper 2008-05-06 21:25:55 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.